﻿/*
    Tesses.VirtualFilesystem a library for virtual filesystems in .NET
    Copyright (C) 2023  Mike Nolan

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/
using Tesses.VirtualFilesystem;
using Tesses.VirtualFilesystem.Filesystems;
using Tesses.VirtualFilesystem.Extensions;

LocalFileSystem fileSystem=new LocalFileSystem();

var res=fileSystem.OpenDirectory(Special.Home);
foreach(var item in res)
{
    if(item.IsDirectoryPointer)
    {

        Console.WriteLine($"DIR: {item.Name}");
    }
    if(item.IsFilePointer)
    {
        Console.WriteLine($"FILE: {item.Name}");
    }
    if(item.IsSymlinkPointer)
    {
        Console.WriteLine($"LINK: {item.Name}");
    }
}

fileSystem.CreateDirectory(Special.CurDir / "Some Stuff");